## org.codehaus.groovy.jsr223
Class GroovyCompiledScript

    java.lang.Object
      javax.script.CompiledScript
          org.codehaus.groovy.jsr223.GroovyCompiledScript

    public class GroovyCompiledScript

extends javax.script.CompiledScript

Constructor Summary
`GroovyCompiledScript(GroovyScriptEngineImpl engine, Class clasz)`

Method Summary
`Object` `eval(javax.script.ScriptContext context)`
`javax.script.ScriptEngine` `getEngine()`

Methods inherited from class javax.script.CompiledScript
`eval, eval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyCompiledScript

    public GroovyCompiledScript(GroovyScriptEngineImpl engine,
                                Class clasz)

Method Detail

### eval

    public Object eval(javax.script.ScriptContext context)
                throws javax.script.ScriptException

  Specified by:
    `eval` in class `javax.script.CompiledScript`
  Throws:
    `javax.script.ScriptException`

### getEngine

    public javax.script.ScriptEngine getEngine()

  Specified by:
    `getEngine` in class `javax.script.CompiledScript`

Copyright © 2003-2009 The Codehaus. All rights reserved.